commit: 9d3548c6ea17e18a0da3d8be97df25161092704e
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 18 14:35:33 2021 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 14:35:33 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d3548c6
sci-libs/pyshp: Version bump
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>
sci-libs/pyshp/Manifest | 1 +
sci-libs/pyshp/pyshp-2.1.3.ebuild | 25 +++++++++++++++++++++++++
2 files changed, 26 insertions(+)
diff --git a/sci-libs/pyshp/Manifest b/sci-libs/pyshp/Manifest
index 53f8a333068..3cfcfd08a03 100644
--- a/sci-libs/pyshp/Manifest
+++ b/sci-libs/pyshp/Manifest
@@ -1 +1,2 @@
DIST pyshp-2.1.2.tar.gz 217857 BLAKE2B
f4c50e16987b13b7968fe37e4e7f20329b6871c879b837113aac281527f6a00d5d13e10f93e8ecd5896cf089d801d76cec5d93645a6919fbc48d96d4318bb767
SHA512
54fadaa133d3fbf3b9a318be02dd21c2a35a3c58c15de8e6d0cffa6ca83eefe12603fe5930d3df63ad4c6a6d711336752f08923c6406168207ac291d05592582
+DIST pyshp-2.1.3.tar.gz 219626 BLAKE2B
2da94cb4b1514a504b9f961b58add973a73dea641ad5867b670860000decd29af72092079b5d16f516b99a59be83028f4698faa2cb013200e533bbe772746d48
SHA512
249302e784bb38860037242b70899faaf504ef626c37decca44dc0d7c4f9482737e3234c0002393d1ef9800778715fc2b9946f3e3f3ecf507921e9db218d0d33
diff --git a/sci-libs/pyshp/pyshp-2.1.3.ebuild
b/sci-libs/pyshp/pyshp-2.1.3.ebuild
new file mode 100644
index 00000000000..0b4603541d4
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-2.1.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${EPYTHON}" shapefile.py || die
+}